#include "event.hh"

MyEventAction::MyEventAction(MyRunAction*){
    fEdep = 0;
}

MyEventAction::~MyEventAction(){}

void MyEventAction::BeginOfEventAction(const G4Event*){
    fEdep = 0;
}

void MyEventAction::EndOfEventAction(const G4Event*){
    //G4cout<<"Energy Dep" << fEdep << G4endl;
    auto *man = G4AnalysisManager::Instance();
    if (fEdep<=0.0*MeV)
        return;
   // G4cout<<"Energy Dep" << fEdep << G4endl;
    man->FillNtupleDColumn(1,0,fEdep);
    man->AddNtupleRow(1);
    
   
}