#include "action.hh"


MyActionInitalizaiton::MyActionInitalizaiton(){}
MyActionInitalizaiton::~MyActionInitalizaiton(){}


void MyActionInitalizaiton::BuildForMaster() const{
    MyRunAction *runAction = new MyRunAction();
    SetUserAction(runAction);
}


void MyActionInitalizaiton::Build() const{
    MyPrimaryGenerator *generator = new MyPrimaryGenerator();
    SetUserAction(generator);

    MyRunAction *runAction = new MyRunAction();
    SetUserAction(runAction);

    MyEventAction *eventAction = new MyEventAction(runAction);
    SetUserAction(eventAction);

    MySteppingAction *steppingAction = new MySteppingAction(eventAction);
    SetUserAction(steppingAction);
}
